%define version 0.0.7
%define release 1mdk

%define req_libggz_version 0.0.7
%define req_ggz_client_libs_version 0.0.7

# list of game description files
%define games_list ttt3d geekgame

Name:		ggz-sdl-games
Summary:	GGZ Games in SDL user interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2
# (Abel) 0.0.7-1mdk Search for X11R6 paths when finding libGL
Patch0:		%{name}-0.0.7-gl.patch.bz2

BuildRequires:	libggz-devel = %{req_libggz_version}
BuildRequires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf2.5 automake1.7
Requires:	libggz = %{req_libggz_version}
Prereq:		ggz-client-libs = %{req_ggz_client_libs_version}
Provides:	ggz-game-modules = %{version}

%description
The complete set of GGZ Gaming Zone games in SDL user interface.
Includes all of the following:

TicTacToe 3D:   OpenGL client compatible to other TicTacToe clients
The Geek Game:  Calculate numbers in all directions and wrap around edges

%prep
%setup -q
%patch0 -p1 -b .GL

# needed by patch0
aclocal-1.7 -I .
automake-1.7
autoconf-2.5x

%build
%configure2_5x
%make


%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}

# Create a ggz.modules file so we can make install easily
mkdir -p %{buildroot}%{_sysconfdir}
echo "[Games]" > %{buildroot}%{_sysconfdir}/ggz.modules

%makeinstall_std

rm %{buildroot}%{_sysconfdir}/ggz.modules
rmdir %{buildroot}%{_sysconfdir}

# Get a copy of all of our .dsc files
mkdir -p %{buildroot}%{_datadir}/ggz/ggz-config
for i in %games_list; do
  install -m 0644 $i/module.dsc %{buildroot}%{_datadir}/ggz/ggz-config/sdl-$i.dsc
done

%clean
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}


%post
# Run ggz-config vs. all installed games
if [ -f %{_sysconfdir}/ggz.modules ]; then
  for i in %games_list; do
    ggz-config --install --modfile=%{_datadir}/ggz/ggz-config/sdl-$i.dsc --force
  done
fi


%preun
# Run ggz-config to uninstall all the games
if [ $1 = 0 ]; then
  if [ -f %{_sysconfdir}/ggz.modules ]; then
    for i in %games_list; do
      ggz-config --remove --modfile=%{_datadir}/ggz/ggz-config/sdl-$i.dsc
    done
  fi
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ
%{_libdir}/ggz/*
%{_datadir}/ggz/geekgame
%{_datadir}/ggz/ggz-config/*
%{_datadir}/ggz/ttt3d

%changelog
* Sat Sep  6 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- First Mandrake package
- Patch0: Search for X11R6 library path when finding libGL
